﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;
using System.Net;
using System.Net.Sockets;

namespace GuiServer
{
    public partial class Form1 : Form
    {
        IPEndPoint localEP = new IPEndPoint(IPAddress.Parse("127.0.0.1"), 8888);
        TcpListener listener;

        public Form1()
        {
            InitializeComponent();
        }

        private void btnStart_Click(object sender, EventArgs e)
        {
            listener = new TcpListener(localEP);
            listener.Start(10);

            TcpClient client = listener.AcceptTcpClient();

            NetworkStream netStream = client.GetStream();
            StreamReader sr = new StreamReader(netStream, Encoding.UTF8);

            string s = String.Empty;

            do
            {
                s = sr.ReadLine();
                if (s == null)
                    break;
                rTboxShow.AppendText(s + "\r\n");
            }
            while (!s.Equals("quit"));

            sr.Close();
            client.Close();
            listener.Stop();
        }
    }
}
